Billing

Update billing plan

AuthBearer (JWT)
GroupBilling
Rate limitSee Rate Limits
PATCH/api/billing/projects/{projectId}/plans/{planId}

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, BillingApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const billing = new BillingApi(configuration);
import { Configuration, BillingApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const billing = new BillingApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await billing.updatePlan(
  "proj_bj5jEkPNG34w",
  "XmJTkh7kJxVrbAcC",
  {
    name: "Lucy Miller",
    description: "Our moist-inspired Car brings a taste of luxury to your likely lifestyle",
    price: 804.36,
    features: "feed input"
  }
);
const { data: result } = await billing.updatePlan(
  "proj_bj5jEkPNG34w",
  "XmJTkh7kJxVrbAcC",
  {
    name: "Lucy Miller",
    description: "Our moist-inspired Car brings a taste of luxury to your likely lifestyle",
    price: 804.36,
    features: "feed input"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes
planIdstringYes

Request Body

json
{
  "name": "Johnathan Torp I",
  "description": "Introducing the French Polynesia-inspired Towels, blending amazing style with local craftsmanship",
  "price": 767.85,
  "features": [
    "protocol navigate"
  ]
}
{
  "name": "Johnathan Torp I",
  "description": "Introducing the French Polynesia-inspired Towels, blending amazing style with local craftsmanship",
  "price": 767.85,
  "features": [
    "protocol navigate"
  ]
}

Responses

200Plan updated
json
{
  "message": "Plan updated successfully",
  "plan": {
    "_id": "65a1b2c3d4e5f6789012345d",
    "name": "Pro Plan Updated",
    "description": "Updated professional plan",
    "price": 39.99,
    "currency": "USD",
    "interval": "month",
    "features": [
      "Unlimited API calls",
      "Priority support",
      "Advanced analytics"
    ],
    "updatedAt": "2024-01-15T11:00:00.000Z"
  }
}
{
  "message": "Plan updated successfully",
  "plan": {
    "_id": "65a1b2c3d4e5f6789012345d",
    "name": "Pro Plan Updated",
    "description": "Updated professional plan",
    "price": 39.99,
    "currency": "USD",
    "interval": "month",
    "features": [
      "Unlimited API calls",
      "Priority support",
      "Advanced analytics"
    ],
    "updatedAt": "2024-01-15T11:00:00.000Z"
  }
}
400
401
404

Errors

CodeMeaning
400
401
404
Edit this page on GitHub